Please whitelist cPanel in your adblocker so that you’re able to see our version release promotions, thanks!

The Community Forums

Interact with an entire community of cPanel & WHM users!

Postgree pg_connect error! HELP!

Discussion in 'General Discussion' started by inbloombr, Aug 10, 2012.

  1. inbloombr

    inbloombr Member

    Joined:
    Jul 14, 2012
    Messages:
    10
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    Curitiba, Brazil
    cPanel Access Level:
    Root Administrator
    Hi Folks,

    Iv installed pgsql in my cpanel, as install instructions, create the config files, user and password in whm.

    with a test db im getting a call to undefined function pg_connect()

    Easy apache don't seems to work to solve the problem as said in forum.

    Iv seen that extensions_dir is set to = /usr/lib/php/extensions/no-debug-non-zts-20090626

    but that folder don't exist.

    How can i proceed to get Postgree working.

    Already searched all over the web.

    Thanks
     
  2. inbloombr

    inbloombr Member

    Joined:
    Jul 14, 2012
    Messages:
    10
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    Curitiba, Brazil
    cPanel Access Level:
    Root Administrator
    iv try:
    yum install php5-pgsql

    and:
    No package php5-pgsql available.

    centos 5.7 x64 lastest cpanel
     
  3. inbloombr

    inbloombr Member

    Joined:
    Jul 14, 2012
    Messages:
    10
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    Curitiba, Brazil
    cPanel Access Level:
    Root Administrator
    Where's the support of cpanel?
     
  4. inbloombr

    inbloombr Member

    Joined:
    Jul 14, 2012
    Messages:
    10
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    Curitiba, Brazil
    cPanel Access Level:
    Root Administrator
    hope this helps someone.

    remove all rpms

    root@host ~]# rpm -qa|grep -i postgres | sort
    postgresql-8.1.23-5.el5_8
    postgresql90-9.0.8-1PGDG.rhel5
    postgresql90-devel-9.0.8-1PGDG.rhel5
    postgresql90-libs-9.0.8-1PGDG.rhel5
    postgresql90-libs-9.0.8-1PGDG.rhel5
    postgresql90-server-9.0.8-1PGDG.rhel5
    postgresql-devel-8.1.23-5.el5_8
    postgresql-devel-8.1.23-5.el5_8
    postgresql-libs-8.1.23-5.el5_8
    postgresql-libs-8.1.23-5.el5_8
    postgresql-server-8.1.23-5.el5_8

    use:
    rpm -e postgre90-libs

    with --nodeps
    i386 for duplicates
    x86_64 for duplicates

    Time to rebuild with easyapache and try again, i will update here!
     
  5. cPanelMichael

    cPanelMichael Technical Support Community Manager
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    44,803
    Likes Received:
    1,898
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Twitter:
    Hello :)

    Please consider submitting a ticket so that we can take a closer look. You can submit a ticket using the following URL:

    Submit A Ticket

    If you post the ticket number here, we can track the issue for you.

    Thank you.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice